#ifndef AVPERF_H
#define AVPERF_H

#define FSAV_OBJ                      0
#define FSAV_SCAN_TOTAL_REQ           2 
#define FSAV_SCAN_THRD_CONCUR         4
#define FSAV_SCAN_PER_SEC             6
#define FSAV_SCAN_TM_SCAN             8
#define FSAV_SCAN_TM_READ_IO          10
#define FSAV_SCAN_TM_ARCHIVE          12
#define FSAV_SCAN_PENDING_TASK        14
#define FSAV_OAS_TIME_TOTAL           16
#define FSAV_OAS_REC                  18
#define FSAV_OAS_SCAN                 20
#define FSAV_OAS_CACHE_HIT            22
#define FSAV_OAS_CACHE_MISS           24
#define FSAV_OAS_REC_PER_SEC          26
#define FSAV_OAS_CACHE_BYPASS         28
#define FSAV_OAS_REQ_OPEN             30
#define FSAV_OAS_REQ_CLOSE            32

#define FSAV_SCAN_TM_SCAN_AVP         34
#define FSAV_SCAN_TM_SCAN_LIBRA       36
#define FSAV_SCAN_TM_SCAN_ORION       38
#define FSAV_SCAN_TM_SCAN_DRACO       40
#define FSAV_SCAN_TM_SCAN_BL          44
#define FSAV_SCAN_TM_SCAN_SPAM        46
#define FSAV_SCAN_TM_OPEN_IO          48
#define FSAV_OAS_CACHE_SIZE           50
#define FSAV_OAS_PREFETCHING_TM       52

#endif
